> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a transfer

> This can only be used to update instructions about a deferred payout.



## OpenAPI

````yaml put /transfers/{id}
openapi: 3.1.0
info:
  version: '1.0'
  title: Flutterwave APIs
  description: APIs for Enterprise Customers
  contact:
    name: Flutterwave
    email: hi@flutterwavego.com
servers:
  - url: https://developersandbox-api.flutterwave.com
    description: Dev server
security:
  - bearerAuth: []
paths:
  /transfers/{id}:
    put:
      tags:
        - Transfers
      summary: Update a transfer
      description: This can only be used to update instructions about a deferred payout.
      operationId: transfer_put
      parameters:
        - $ref: '#/components/parameters/trace_id'
        - in: path
          required: true
          name: id
          schema:
            description: ID of the transfer
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/transfer_update_in'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/transfer-put-response'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400'
        '401':
          description: Unauthorised request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/403'
components:
  parameters:
    trace_id:
      description: >-
        A unique identifier to track this operation. It must be between 12 and
        255 characters in length.
      in: header
      name: X-Trace-Id
      schema:
        type: string
        minLength: 12
        maxLength: 255
      example: acb123e4-f567-4a8b-9c0d-1e2f3a4b5c6d
  schemas:
    '400':
      description: Bad Request
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        error:
          type: object
          properties:
            type:
              type: string
              example: REQUEST_NOT_VALID
            code:
              type: string
              example: '10400'
            message:
              type: string
              nullable: true
              example: Request is not valid
            validation_errors:
              type: array
              items:
                type: object
                properties:
                  field_name:
                    type: string
                    example: amount
                  message:
                    type: string
                    example: must not be null
          description: >-
            The request cannot be accepted and is malformed and/or missing
            required parameters.
    '401':
      description: Unauthorized
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        message:
          type: string
          nullable: true
          description: Invalid API key provided
          example: UNAUTHORIZED
        error:
          type: object
          properties:
            type:
              type: string
              example: UNAUTHORIZED
            code:
              type: string
              example: '10401'
            message:
              type: string
              example: unauthorized
    '403':
      description: Forbidden
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        message:
          type: string
          description: API key doesn't have permission to access this resource
        error:
          type: object
          properties:
            type:
              type: string
              example: FORBIDDEN
            code:
              type: string
              example: '10403'
            message:
              type: string
              example: Forbidden
    transfer_update_in:
      type: object
      properties:
        initiate:
          type: boolean
          description: Used to initiate a deferred or scheduled transfer
          example: 'true'
        close:
          type: boolean
          description: Used to close a deferred or scheduled transfer.
          example: 'false'
        disburse_option:
          $ref: '#/components/schemas/disburse_option'
    transfer-put-response:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/status'
        message:
          type: string
        data:
          type: object
          properties:
            id:
              description: The unique identifier for the transfer.
              type: string
              example: trf_yuK89vb
            action:
              description: Specifies if the transfer is processed immediately or later.
              type: string
              enum:
                - instant
                - deferred
                - scheduled
                - retry
                - duplicate
                - closed
              example: instant
            status:
              type: string
              description: >-
                The current status of the transfer. `NEW` indicates the transfer
                is being processed, while `CANCELLED` indicates the transfer has
                been cancelled.
              enum:
                - NEW
                - PENDING
                - INITIATED
                - CANCELLED
              example: CANCELLED
            disburse_option:
              $ref: '#/components/schemas/disburse_option'
            updated_datetime:
              type: string
              description: >-
                The date and time when the transfer was submitted for
                processing.
              format: date-time
    disburse_option:
      type: object
      description: >-
        To specify the date and time for disbursement, this is required when
        action is set to scheduled.
      properties:
        date_time:
          type: string
          description: >-
            the scheduled date and time for when the transfer should be
            disbursed to the recipient's account. It should be in the
            'YYYY-MM-DD HH:MM:SS' 24hr format.
        timezone:
          type: string
          enum:
            - Africa/Cairo
            - Africa/Accra
            - Africa/Nairobi
            - Africa/Lagos
            - Africa/Freetown
            - Africa/Dar_es_Salaam
            - Africa/Kampala
            - Africa/Douala
            - Africa/Ndjamena
            - Africa/Kinshasa
            - Africa/Lubumbashi
            - Africa/Libreville
            - Africa/Porto-Novo
            - Africa/Abidjan
            - Africa/Dakar
            - Africa/Johannesburg
            - America/New_York
            - America/Los_Angeles
            - America/Sao_Paulo
            - Asia/Dubai
            - Asia/Kolkata
            - Asia/Tokyo
            - Australia/Sydney
            - Europe/London
            - Europe/Berlin
            - Europe/Moscow
            - Pacific/Auckland
            - Pacific/Honolulu
            - UTC
    status:
      type: string
      nullable: false
      enum:
        - success
        - failed
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````